Can't install 2016.3 SDK

Trying to add the SDK package (using Install-Package JetBrains.ReSharper.SDK ) to a new project in VS2015, but getting the following error:

Install-Package : Failed to add reference. The package 'JetBrains.NuGet.Ultimate' tried to add a framework reference to 'System.Collections.Concurrent' which was not found in the GAC. This is possibly
a bug in the package. Please contact the package owners for assistance.
  Reference unavailable.
At line:1 char:1
+ Install-Package JetBrains.ReSharper.SDK
+ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : NotSpecified: (:) [Install-Package], Exception
    + FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdlets.InstallPackageCommand

Is this a bug in the NuGet package, or is something else going wrong?

7 comments

I've got the same problem when installing resharper sdk.

And I resolved it by install the package manually using "install-package System.Collections.Concurrent".

Add reference manually in your package folder and choose the one that fit your enviroment.

e.g. \packages\System.Collections.Concurrent.4.3.0\ref\netcore50\System.Collections.Concurrent.dll

Afterwards you probably would have the same compliant about "System.Globalization", just do the same thing.

From my experiences after these 2 resolved, the sdk's package could all be installed.

But I'm not sure if I'm doing thing right.

Welcome any comments.

 

Lene

0

The documentation mentions nothing of needing .NET Core though? I'm trying this with a regular 4.6.2 class library project.

0

I had the same issue. For me the issue was solved by adding references to

C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.2\Facades\System.Collections.Concurrent.dll

 C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.2\Facades\System.Globalization.dll

 

 

0

Well, it's probably a bug in the package, but I have a solution.

Solution:

  1. Install package: JetBrains.NuGet.Ultimate
  2. Then install package: JetBrains.ReSharper.SDK

Hope it helps.

3

I had also been experiencing the issue in question.
Luckily, the workaround suggested by Dmitriy helped me overcome it.

0

That worked, thanks Dmitriy!

0

A also can't install the latest SDK. I have the following error

Attempting to gather dependency information for package 'JetBrains.ReSharper.SDK.2016.3.20170126.124206' with respect to project 'ResharperWebDevTools', targeting '.NETFramework,Version=v4.0'
Gathering dependency information took 7.25 sec
Attempting to resolve dependencies for package 'JetBrains.ReSharper.SDK.2016.3.20170126.124206' with DependencyBehavior 'Lowest'
One or more unresolved package dependency constraints detected in the existing packages.config file. All dependency constraints must be resolved to add or update packages. If these packages are being updated this message may be ignored, if not the following error(s) may be blocking the current package operation: 'JetBrains.ReSharper.SDK 2016.2.20160912.115159'
Install-Package : Unable to find a version of 'AsyncIO' that is compatible with 'JetBrains.Platform.Core.Ide 106.0.20160913.91305 constraint: AsyncIO (= 0.1.18)'.
At line:1 char:1
+ Install-Package JetBrains.ReSharper.SDK
+ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ CategoryInfo : NotSpecified: (:) [Install-Package], Exception
+ FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdlets.InstallPackageCommand

0

Please sign in to leave a comment.